Get all subscriptions
Retrieves a list of all subscriptions.
X-API-Key<token>
In: header
Query Parameters
customer_ids?string
Comma-separated list of customer IDs to filter subscriptions.
emails?string
Comma-separated list of email addresses to filter subscriptions.
product_ids?string
Comma-separated list of product IDs to filter subscriptions.
plan_ids?string
Comma-separated list of plan IDs to filter subscriptions.
seller_id?string
Seller ID for Connect marketplace operations. Filter subscriptions by seller.
Response Body
application/json
curl -X GET "https://example.com/v1/subscriptions"[ { "id": "s_1234567890", "created_at": "2023-10-01T12:00:00Z", "updated_at": "2023-10-01T12:00:00Z", "consumer_id": 0, "subscription_plan_id": "spl_ba_PpkW16oIW", "merchant_name": "string", "email": "user@example.com", "price": 999, "currency": "USD", "quantity": 0, "product_names": [ "string" ], "next_renewal_date": "2019-08-24T14:15:22Z", "canceled_date": null, "paused_date": null, "payment_method": { "card_last_4": "4123", "card_network": "Visa" }, "status": "active", "status_details": { "reason": "payment_failed", "type": "canceled" }, "total_amount": { "amount": 0, "currency": "string", "currency_symbol": "string" }, "plan": { "id": "spl_ba_PpkW16oIW", "name": "Monthly Subscription", "sku": "BOLT-12345", "created_at": "2023-10-01T12:00:00Z", "updated_at": "2023-10-01T12:00:00Z", "frequency": 1, "product_id": "sp_Tlj0Osm0N76T", "frequency_unit": "month", "initial_period": { "frequency": 2, "frequency_unit": "week" }, "checkout_link": "https://your_site.c.boltapp.com/g?merchant_product_id=37&merchant_variant_id=67&publishable_key=BQ9PKQksUGtj.Q9LwVLfV3WF4.32122926f7b9651a416a5099dc92dc2b4c87c8b922c114229f83b345d65f1195" }, "metadata": { "property1": "string", "property2": "string" } }]